use strict;
no warnings 'redefine';

sub IdToObj {
    my ($self, $id) = @_;
    if (ref($id)) {
	return $id->PrincipalObj if $id->can('PrincipalObj');
	return $id;
    }
    my $obj = RT::Principal->new($RT::SystemUser);
    $obj->Load($id);
    return $obj;
}

sub _IsOverrideGlobalACL_Old {
    my ($self, $object) = @_;

    (ref($object) eq 'RT::Ticket') and $object->QueueObj->__Value('OverrideGlobalACL')
	or
    (ref($object) eq 'RT::Queue') and $object->__Value('OverrideGlobalACL');
}

1;
